Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Interface PersistenceHelperPlugin

public interface PersistenceHelperPlugin

Interface for Persistence Helper Plugin A specific driver must be written for each type of persistence cache. This is not a required optimization for CMP or BMP.

Method Summary
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, BelongingImpl belongingImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, EntityImpl entityImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o, BelongingImpl belongingImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o, EntityImpl entityImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, BelongingImpl belongingImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, EntityImpl entityImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key, BelongingImpl belongingImpl)`
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key, EntityImpl entityImpl)`
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, BelongingImpl belonging)`
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, EntityImpl entityImpl)`
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, SessionImpl sessionImpl)`
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, BelongingImpl belonging)`
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, EntityImpl entityImpl)`
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, SessionImpl sessionImpl)`
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, BelongingImpl belonging)`
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, EntityImpl entityImpl)`
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, SessionImpl sessionImpl)`
`Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`void` | `doRelationalBinding(String attributeIdentifier, EJBObject ejbObject, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`void` | `doRelationalBinding(String attributeIdentifier, EJBObject ejbObject, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`Object` | `doRelationalBinding(String attributeIdentifier, Object value, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`Object` | `doRelationalBinding(String attributeIdentifier, Object value, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`void` | `doRelationalBindingWithMapKey(String attributeIdentifier, EJBObject ejbObject, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`void` | `doRelationalBindingWithMapKey(String attributeIdentifier, EJBObject ejbObject, Object mapKey, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` The dependent object will have additional information for object-relational mapping
`Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EntityImpl entityImpl)` The dependent object will have additional information for object-relational mapping
`Belonging` | `synchronizeWithCache(Belonging value, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache
`Object` | `synchronizeWithCache(Object value, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache
`Belonging` | `synchronizeWithCache(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache
`Collection` | `synchronizeWithCache(String attributeIdentifier, Collection collection, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache
`Map` | `synchronizeWithCache(String attributeIdentifier, Map map, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache
`Object` | `synchronizeWithCache(String attributeIdentifier, Object value, EntityImpl entityImpl)` Optimize the dependent object in the persistence cache

Method Detail

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       BelongingImpl belongingImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       EntityImpl entityImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       Object o,
                                       BelongingImpl belongingImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       Object o,
                                       EntityImpl entityImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       BelongingImpl belongingImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       EntityImpl entityImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       Object key,
                                       BelongingImpl belongingImpl)

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       Object key,
                                       EntityImpl entityImpl)

### createSmartCollectionReference

    public SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                   SmartCollectionReference targetInstance,
                                                                   BelongingImpl belonging)

### createSmartCollectionReference

    public SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                   SmartCollectionReference targetInstance,
                                                                   EntityImpl entityImpl)

### createSmartCollectionReference

    public SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                   SmartCollectionReference targetInstance,
                                                                   SessionImpl sessionImpl)

### createSmartEntityReference

    public SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                           SmartEntityReference targetInstance,
                                                           BelongingImpl belonging)

### createSmartEntityReference

    public SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                           SmartEntityReference targetInstance,
                                                           EntityImpl entityImpl)

### createSmartEntityReference

    public SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                           SmartEntityReference targetInstance,
                                                           SessionImpl sessionImpl)

### createSmartMapReference

    public SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                     SmartMapReference targetInstance,
                                                     BelongingImpl belonging)

### createSmartMapReference

    public SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                     SmartMapReference targetInstance,
                                                     EntityImpl entityImpl)

### createSmartMapReference

    public SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                     SmartMapReference targetInstance,
                                                     SessionImpl sessionImpl)

### doRelationalBinding

    public Belonging doRelationalBinding(String attributeIdentifier,
                                         Belonging value,
                                         EJBObject parent,
                                         BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    public Belonging doRelationalBinding(String attributeIdentifier,
                                         Belonging value,
                                         EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    public void doRelationalBinding(String attributeIdentifier,
                                    EJBObject ejbObject,
                                    EJBObject parent,
                                    BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBinding

    public void doRelationalBinding(String attributeIdentifier,
                                    EJBObject ejbObject,
                                    EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBinding

    public Object doRelationalBinding(String attributeIdentifier,
                                      Object value,
                                      EJBObject parent,
                                      BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    public Object doRelationalBinding(String attributeIdentifier,
                                      Object value,
                                      EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Belonging value,
                                                   Object mapKey,
                                                   EJBObject parent,
                                                   BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Belonging value,
                                                   Object mapKey,
                                                   EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public void doRelationalBindingWithMapKey(String attributeIdentifier,
                                              EJBObject ejbObject,
                                              Object mapKey,
                                              EJBObject parent,
                                              BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public void doRelationalBindingWithMapKey(String attributeIdentifier,
                                              EJBObject ejbObject,
                                              Object mapKey,
                                              EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                Object value,
                                                Object mapKey,
                                                EJBObject parent,
                                                BelongingImpl belongingImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    public Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                Object value,
                                                Object mapKey,
                                                EntityImpl entityImpl)

  The dependent object will have additional information for object-relational mapping

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Belonging synchronizeWithCache(Belonging value,
                                          EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `value` - instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Object synchronizeWithCache(Object value,
                                       EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `value` - instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Belonging synchronizeWithCache(String attributeIdentifier,
                                          Belonging value,
                                          EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Collection synchronizeWithCache(String attributeIdentifier,
                                           Collection collection,
                                           EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Map synchronizeWithCache(String attributeIdentifier,
                                    Map map,
                                    EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public Object synchronizeWithCache(String attributeIdentifier,
                                       Object value,
                                       EntityImpl entityImpl)

  Optimize the dependent object in the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved